<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="../../../../img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('../../../../style.css');
        @import url('../../../../roundedcorners.css');
        @import url('../../../../tree.css');
            </style>
    
    <script src="../../../../sorttable.js" type="text/javascript"></script>
    <script src="../../../../overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="../../../../overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="../../../../clover.js" type="text/javascript"></script>
    <script src="../../../../cloud.js" type="text/javascript"></script>
    <script src="../../../../help.js" type="text/javascript"></script>
  <title>HttpCore 4.2.3</title>
</head>
<body onload="setBrowserTitle('HttpCore 4.2.3: org.apache.http.protocol.testExecutionEntityEclosingRequestCustomExpectationVerifier');">

<table cellspacing="0" cellpadding="2" class="barGraph">
<tbody>
  <tr>
    <td colspan="6" >
        <div class="roundedLarge">
            <b class="ctop"><b class="cb1"></b><b class="cb2 testHeader"></b><b class="cb3 testHeader"></b><b class="cb4 testHeader"></b></b>
            <div class="roundedContent">
                <table width="100%" cellspacing="0"><tr class="reportHeader ">
                    <td valign="top" class="titleText testHeader">Clover Test Report - <a
                            href="http://hc.apache.org/httpcomponents-core-ga" target="_top">HttpCore 4.2.3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Wed Nov 28 2012 22:34:57 CET
                    </div>
                                                <div class="navBar">
                            <span><a href="../../../../test-pkg-summary.html">Overview</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-pkg-summary.html">Package</a></span>&nbsp;&nbsp;&nbsp;
                            <span><a href="test-TestHttpService.html">File</a></span>&nbsp;&nbsp;&nbsp;
                            <span class="navBarCurrent">Test</span>
                        </div>
                                                
                        <div class="navBarLink">
                            &nbsp;&nbsp;&nbsp;
                            <a href="../../../../index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
                            <a href="TestHttpService_testExecutionEntityEclosingRequestCustomExpectationVerifier_59.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
                            <a><label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label></a>&nbsp;&nbsp;                            
                        </div>
                    </td>
                </tr></table>
            </div>
            <b class="cbottom"><b class="cb4 testHeader"></b><b class="cb3 testHeader"></b><b class="cb2 testHeader"></b><b class="cb1"></b></b>
        </div>

    </td>
  </tr>




<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>

<tr>
    <td class="graphHeaderLeft titleText testHeader">Test</td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_total_unique_coverage;">Unique Coverage</label></td>
        <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_status;">Status</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Start time</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_time;">Time (seconds)</label></td>
    <td class="graphHeader headerTitle testHeader"><label onkeyup="return help_test_message;">Message</label></td>
</tr>
<tr>
    <td class="graphItem alignTop titleText">
        <a  href="../../../../org/apache/http/protocol/TestHttpService.html?line=289#src-289" >testExecutionEntityEclosingRequestCustomExpectationVerifier</a>
    </td>
        <td class="graphPercent alignTop">
        0%
    </td>
        <td class="graphPercent alignTop">
                          <span class="sortValue">1</span>
    <span class="testResultSuccess">PASS</span>
              </td>
    <td class="graphPercent alignTop">
        28 Nov 22:34:57
    </td>
    <td class="graphPercent alignTop">
        0.0040    </td>
    <td class="graphItemRight alignTop">
        <div class="titleText"></div>
        <div class="errorMessage"></div>
    </td>
</tr>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
</tbody>

<tbody>
    <tr>
        <td class="graphHeaderLeft titleText  sortable testHeader" style="white-space:nowrap;" onclick="ts_resortTable(this, 'alpha', 0);return false;"><label onkeyup="return help_test_target_class;">Target Class</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" onclick="ts_resortTable(this, 'number', 1);return false;"><label onkeyup="return help_unique_coverage ;">Unique</label> &nbsp;</td>
                <td class="graphHeader  sortable testHeader" colspan="4" onclick="ts_resortTable(this, 'number', 2);return false;"><label onkeyup="return help_test_contribution;">Coverage contributed by</label> <span class="titleText">testExecutionEntityEclosingRequestCustomExpectationVerifier</span>.</td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.message.BasicHttpEntityEnclosingRequest</span>
            &nbsp;&nbsp;<a             href="../../../../org/apache/http/message/BasicHttpEntityEnclosingRequest.html?id=189#BasicHttpEntityEnclosingRequest"             title="BasicHttpEntityEnclosingRequest" name="sl-44">org.apache.http.message.BasicHttpEntityEnclosingRequest</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.6923077</span>
            69.2%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="30.8% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="69.2% Covered" class="barPositive contribBarPositive" style="width: 69.2%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.message.BasicStatusLine</span>
            &nbsp;&nbsp;<a             href="../../../../org/apache/http/message/BasicStatusLine.html?id=189#BasicStatusLine"             title="BasicStatusLine" name="sl-42">org.apache.http.message.BasicStatusLine</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.5652174</span>
            56.5%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="43.5% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="56.5% Covered" class="barPositive contribBarPositive" style="width: 56.5%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.message.BasicHeader</span>
            &nbsp;&nbsp;<a             href="../../../../org/apache/http/message/BasicHeader.html?id=189#BasicHeader"             title="BasicHeader" name="sl-43">org.apache.http.message.BasicHeader</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.45454547</span>
            45.5%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="54.5% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="45.5% Covered" class="barPositive contribBarPositive" style="width: 45.5%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.protocol.BasicHttpContext</span>
            &nbsp;&nbsp;<a             href="../../../../org/apache/http/protocol/BasicHttpContext.html?id=189#BasicHttpContext"             title="BasicHttpContext" name="sl-44">org.apache.http.protocol.BasicHttpContext</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.4509804</span>
            45.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="54.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="45.1% Covered" class="barPositive contribBarPositive" style="width: 45.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.protocol.HttpService</span>
            &nbsp;&nbsp;<a             href="../../../../org/apache/http/protocol/HttpService.html?id=189#HttpService"             title="HttpService" name="sl-72">org.apache.http.protocol.HttpService</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.33333334</span>
            33.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="66.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="33.3% Covered" class="barPositive contribBarPositive" style="width: 33.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.message.AbstractHttpMessage</span>
            &nbsp;&nbsp;<a             href="../../../../org/apache/http/message/AbstractHttpMessage.html?id=189#AbstractHttpMessage"             title="AbstractHttpMessage" name="sl-43">org.apache.http.message.AbstractHttpMessage</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.32307693</span>
            32.3%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="67.7% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="32.3% Covered" class="barPositive contribBarPositive" style="width: 32.3%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.message.BasicHttpResponse</span>
            &nbsp;&nbsp;<a             href="../../../../org/apache/http/message/BasicHttpResponse.html?id=189#BasicHttpResponse"             title="BasicHttpResponse" name="sl-45">org.apache.http.message.BasicHttpResponse</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.31034482</span>
            31%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="69% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="31% Covered" class="barPositive contribBarPositive" style="width: 31%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.entity.InputStreamEntity</span>
            &nbsp;&nbsp;<a             href="../../../../org/apache/http/entity/InputStreamEntity.html?id=189#InputStreamEntity"             title="InputStreamEntity" name="sl-43">org.apache.http.entity.InputStreamEntity</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.26923078</span>
            26.9%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="73.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="26.9% Covered" class="barPositive contribBarPositive" style="width: 26.9%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.message.BasicHttpRequest</span>
            &nbsp;&nbsp;<a             href="../../../../org/apache/http/message/BasicHttpRequest.html?id=189#BasicHttpRequest"             title="BasicHttpRequest" name="sl-48">org.apache.http.message.BasicHttpRequest</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.25714287</span>
            25.7%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="74.3% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="25.7% Covered" class="barPositive contribBarPositive" style="width: 25.7%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.params.DefaultedHttpParams</span>
            &nbsp;&nbsp;<a             href="../../../../org/apache/http/params/DefaultedHttpParams.html?id=189#DefaultedHttpParams"             title="DefaultedHttpParams" name="sl-43">org.apache.http.params.DefaultedHttpParams</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.15789473</span>
            15.8%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="84.2% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="15.8% Covered" class="barPositive contribBarPositive" style="width: 15.8%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.message.HeaderGroup</span>
            &nbsp;&nbsp;<a             href="../../../../org/apache/http/message/HeaderGroup.html?id=189#HeaderGroup"             title="HeaderGroup" name="sl-49">org.apache.http.message.HeaderGroup</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.114035085</span>
            11.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="88.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="11.4% Covered" class="barPositive contribBarPositive" style="width: 11.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.params.SyncBasicHttpParams</span>
            &nbsp;&nbsp;<a             href="../../../../org/apache/http/params/SyncBasicHttpParams.html?id=189#SyncBasicHttpParams"             title="SyncBasicHttpParams" name="sl-37">org.apache.http.params.SyncBasicHttpParams</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.11111111</span>
            11.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="88.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="11.1% Covered" class="barPositive contribBarPositive" style="width: 11.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.util.EntityUtils</span>
            &nbsp;&nbsp;<a             href="../../../../org/apache/http/util/EntityUtils.html?id=189#EntityUtils"             title="EntityUtils" name="sl-50">org.apache.http.util.EntityUtils</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.070866145</span>
            7.1%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="92.9% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="7.1% Covered" class="barPositive contribBarPositive" style="width: 7.1%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.entity.AbstractHttpEntity</span>
            &nbsp;&nbsp;<a             href="../../../../org/apache/http/entity/AbstractHttpEntity.html?id=189#AbstractHttpEntity"             title="AbstractHttpEntity" name="sl-47">org.apache.http.entity.AbstractHttpEntity</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.06896552</span>
            6.9%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="93.1% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="6.9% Covered" class="barPositive contribBarPositive" style="width: 6.9%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.ProtocolVersion</span>
            &nbsp;&nbsp;<a             href="../../../../org/apache/http/ProtocolVersion.html?id=189#ProtocolVersion"             title="ProtocolVersion" name="sl-47">org.apache.http.ProtocolVersion</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.055555556</span>
            5.6%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="94.4% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="5.6% Covered" class="barPositive contribBarPositive" style="width: 5.6%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.params.BasicHttpParams</span>
            &nbsp;&nbsp;<a             href="../../../../org/apache/http/params/BasicHttpParams.html?id=189#BasicHttpParams"             title="BasicHttpParams" name="sl-49">org.apache.http.params.BasicHttpParams</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.044444446</span>
            4.4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="95.6% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="4.4% Covered" class="barPositive contribBarPositive" style="width: 4.4%"></div>
    </div>
</div>        </td>
    </tr>

        <tr>
        <td class="graphItem" style="font-size: 11px">
            <span class="sortValue">org.apache.http.params.AbstractHttpParams</span>
            &nbsp;&nbsp;<a             href="../../../../org/apache/http/params/AbstractHttpParams.html?id=189#AbstractHttpParams"             title="AbstractHttpParams" name="sl-42">org.apache.http.params.AbstractHttpParams</a>
        </td>
                <td class="graphPercent">
                                        <span class="sortValue">0.0</span>
                    </td>
                <td class="graphPercent">
            <span class="sortValue">0.04</span>
            4%
        </td>
        <td class="graphPercent" style="width: 100%" colspan="3">
                        <div>
    <div style="width: 40px; font-size:0px;"></div>
    <div title="96% Not Covered"  style="min-width: 40px;"  class="barNegative contribBarNegative">
       <div title="4% Covered" class="barPositive contribBarPositive" style="width: 4%"></div>
    </div>
</div>        </td>
    </tr>
 </tbody>
<tbody>
<tr><td class="hbreak" colspan="6">&nbsp;</td></tr>
<tr><td class="footer" colspan="6">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="../../../../img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Wed Nov 28 2012 22:35:16 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></tbody>
</table>
</body>
</html>
